org.eclipse.ease.debugging

## Class EaseDebugFrame

- java.lang.Object
- - org.eclipse.ease.debugging.EaseDebugFrame

All Implemented Interfaces:
  IScriptDebugFrame

Direct Known Subclasses:
  PythonDebugger.PythonDebugFrame, RhinoDebugger.RhinoDebugFrame

    public class EaseDebugFrame
    extends java.lang.Object
    implements IScriptDebugFrame

Frame containing debug location information for a dedicated script source.

### Field Summary

### Fields inherited from interface org.eclipse.ease.debugging.IScriptDebugFrame

`TYPE_FILE, TYPE_FUNCTION`

### Constructor Summary

Constructors
Constructor and Description
`EaseDebugFrame(IScriptDebugFrame frame)`
`EaseDebugFrame(Script script, int lineNumber, int type)`
`EaseDebugFrame(Script script, int lineNumber, int type, java.lang.String name)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getLineNumber()`
`java.lang.String` `getName()`
`Script` `getScript()`
`int` `getType()`
`java.util.Map<java.lang.String,java.lang.Object>` `getVariables()`
`java.lang.Object` `inject(java.lang.String expression)`
`void` `setLineNumber(int lineNumber)`
`void` `setVariable(java.lang.String name, java.lang.Object content)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EaseDebugFrame

    public EaseDebugFrame(Script script,
                          int lineNumber,
                          int type,
                          java.lang.String name)

#### EaseDebugFrame

    public EaseDebugFrame(Script script,
                          int lineNumber,
                          int type)

#### EaseDebugFrame

    public EaseDebugFrame(IScriptDebugFrame frame)

### Method Detail

#### getLineNumber

    public int getLineNumber()

Specified by:
  `getLineNumber` in interface `IScriptDebugFrame`

#### getScript

    public Script getScript()

Specified by:
  `getScript` in interface `IScriptDebugFrame`

#### getType

    public int getType()

Specified by:
  `getType` in interface `IScriptDebugFrame`

#### getName

    public java.lang.String getName()

Specified by:
  `getName` in interface `IScriptDebugFrame`

#### setLineNumber

    public void setLineNumber(int lineNumber)

Specified by:
  `setLineNumber` in interface `IScriptDebugFrame`

#### setVariable

    public void setVariable(java.lang.String name,
                            java.lang.Object content)

Specified by:
  `setVariable` in interface `IScriptDebugFrame`

#### inject

    public java.lang.Object inject(java.lang.String expression)
                            throws java.lang.Throwable

Specified by:
  `inject` in interface `IScriptDebugFrame`
Throws:
  `java.lang.Throwable`

#### getVariables

    public java.util.Map<java.lang.String,java.lang.Object> getVariables()